OnlyFans API
OnlyFansSmart LinksSmart Link Postbacks

Update Smart Link Postback

Update a Smart Link postback configuration

PATCH
/api/smart-link-postbacks/{postback_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

postback_id*integer

The postback ID

Request Body

application/json

url*string

The destination URL.

http_method?string

HTTP method used for the postback request. Existing value is kept when omitted.

Value in"GET" | "POST"
body?string

Optional request body template for POST postbacks. Variables are replaced when the postback is dispatched.

headers?

Optional request headers. Header values may include postback variables.

smart_link_scope*string

global or campaign_specific.

Value in"global" | "campaign_specific"
conversion_types*array<string>

One or more Smart Link conversion types that should trigger this postback.

smart_link_ids?array<string>

Smart Link ULIDs. Required when smart_link_scope is campaign_specific.

Response Body

application/json

curl -X PATCH "https://app.onlyfansapi.com/api/smart-link-postbacks/123" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/postback?click={external_click_id}&type={conversion_type}",    "smart_link_scope": "global",    "conversion_types": [      "new_subscriber"    ]  }'
{
  "data": {
    "id": 123,
    "url": "https://example.com/updated?click={click_id}&type={conversion_type}&ttclid={ttclid}",
    "http_method": "POST",
    "body": "{\"click_id\":\"{click_id}\",\"value\":\"{amount_gross}\"}",
    "headers": [
      {
        "name": "Authorization",
        "value": "Bearer token"
      }
    ],
    "smart_link_scope": "campaign_specific",
    "conversion_types": [
      "new_subscriber"
    ],
    "smart_link_ids": [
      "01JTESTLINK000000000000001"
    ],
    "smart_links": [
      {
        "link_ulid": "01JTESTLINK000000000000001",
        "name": "Instagram Bio Link",
        "account_display_name": "Creator Main",
        "account_prefixed_id": "acct_XXXXXXXX"
      }
    ],
    "latest_response": null,
    "created_at": "2026-01-31T21:45:00+00:00",
    "updated_at": "2026-01-31T22:00:00+00:00"
  },
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 999999,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    }
  }
}